Software Bisque

Take a virtual tour of the Software Bisque campus Watch Steve Bisque discuss the Paramount mount with S&T's Dennis Di Cicco Read the Paramount MYT Review Read about the Paramount Software Suite

Question about The Sky compatibility with Old Meade Mount.

rated by 0 users
This post has 1 Reply | 1 Follower

Not Ranked
Posts 3
Charles S. Morris Posted: 06-26-2018 2:02 AM

I have a 16" SCT dating from about 1999.  I had been run with TheSky and an old (I kid you not) Windows 95 machine.  The telescope fell into disuse because of a career change that took all my time.  Not surprisingly, the old computer failed during that time.  So, I am now looking to upgrade the software to run the telescope, but before I spend hundreds of dollars, I would like to understand if the software will work with the old telescope drive.  The issue is that the telescope has a serial connector.  I have purchased a serial to USB cable, but the question remains, will that work.

I would love to upgrade the mount, but that is not financially feasible at this time.

Top 10 Contributor
Posts 3,015
Software Bisque Employee

Yes, both TheSkyX Serious Astronomer Edition and TheSkyX Professional Edition work with any vintage Meade LX200 16-inch telescope. We recommend using a serial-to-USB adaptor that utilizes the FTDI chipset, as those with the Prolific chipset (apparently unauthentic knock-offs of it) sometimes have issues.

If you still know it, you can register your TheSky serial number and then be eligible to upgrade to TheSkyX at a discounted price.

Brian S. Rickard
Software Bisque, Inc.

Page 1 of 1 (2 items) | RSS

   

© 2018 Software Bisque, Inc. 862 Brickyard Circle, Golden, CO 80403-8058 USA - phone: +1 303 278 4478 fax: +1 303 278 0045
Google+